// creator  : weidu.exe (version 23100)
// argument : MERCHA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MERCHA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 2 even though they appear after this state */
~RandomNum(2,1)
~ THEN BEGIN 0 // from:
  SAY #3661 /* ~Player 2 is the winner.  Now you die.~ */
  IF ~~ THEN REPLY #15288 /* ~Your a miserable wretch, and I'll have no more of you.  Begone!~ */ DO ~StartStore("sto4905",LastTalkedToBy())~ EXIT
  IF ~~ THEN REPLY #15289 /* ~Well, I'm not too interested in drink, myself.  Perhaps you might know of other entertainments in the area?~ */ DO ~~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 2 even though they appear after this state */
~RandomNum(2,2)
~ THEN BEGIN 1 // from:
  SAY #3691 /* ~Player 4 is the winner.  Now you die.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 2 // from:
  SAY #6297 /* ~Crom Faeyr Scroll~ */
  IF ~~ THEN JOURNAL #7082 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #9166 /* ~A wholly inappropriate jest, Jan.  You should be ashamed.~ */
  IF ~~ THEN EXIT
END
